﻿
.footer {
    min-height: 100vh; /* better than fixed height */
    position: relative;
    background-image: url(/Content/Images/Footer-bg.png);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: top right;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding-top: 6rem;
    padding-bottom: 3rem;
    font-family: 'Figtree';
    overflow: hidden;
}

:root[data-theme="dark"] .footer {
    background-image: url(/Content/Images/Group.png);
}

:root[data-theme="dark"] .footer-menu a.nav-link {
    color: #161616;
}

:root[data-theme="dark"] .footer-menu a.nav-link.active {
    color: #69BFAF;
}

:root[data-theme="dark"] .dropdown-menu {
    background-color: #161616;
    border: 1px solid #69BFAF;
}

:root[data-theme="dark"] .footer-menu a.nav-link:hover {
    color: #69BFAF;
}

:root[data-theme="dark"] a.dropdown-item {
    color: #69BFAF;
}

:root[data-theme="dark"] a.footer-link {
    color: white;
}

.footer-nav {
    font-size: 1.5rem;
    color: dimgrey;
    padding-left: 2.5rem;
    margin-top: 2rem;
    line-height: 1;
    font-family: Figtree;
    cursor: pointer;
    display: flex;
}

a.nav-link.active {
    color: #1A3D59;
}

a.nav-link {
    font-size: 5rem;
    font-weight: 700;
    color: #1A3D591A;
    text-transform: uppercase;
}

    a.nav-link:hover {
        color: #1A3D59;
    }

    a.nav-link:focus {
        color: #1A3D59;
    }

.dropdown {
    position: relative;
    display: inline-block;
    cursor: pointer;
    color: dimgrey;
    font-family: 'Figtree';
}


.dropdown-menu {
    border: 1px solid #1A3D59;
    border-radius: 2px;
    padding: 2rem 8rem 2rem 2rem;
    min-width: 300px;
    z-index: 100;
    margin-top: 0% !important;
}

    .dropdown-menu li {
        list-style: none;
        color: #fff;
        line-height: 2;
        font-weight: 200;
        font-size: 1rem;
        transition: color 0.3s ease;
    }

a.dropdown-item {
    color: #1A3D59;
    font-weight: 500;
}

/* When hovering INDUSTRIES, show dropdown */
.dropdown:hover .dropdown-menu {
    display: block;
}



.footer-social {
    gap: 5px;
    padding-top: 9rem;
    padding-right: 1rem;
    display: flex;
    flex-direction: column;
    font-family: Figtree;
}


a.footer-link {
    font-size: 1.25rem;
    color: #1A3D59;
    text-decoration: none;
    margin-bottom: 1rem;
    text-align: end;
}

    .footer-link span {
        position: relative;
        display: inline-block;
        transform: translateY(0);
        transition: transform 0.3s ease, opacity 0.3s ease;
        opacity: 1;
    }

    .footer-link::after {
        content: attr(data-content);
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        transform: translateY(0);
        transition: transform 0.3s ease, opacity 0.3s ease;
        opacity: 0;
        text-align: left;
    }

    .footer-link:hover span {
        transform: translateY(-100%);
        opacity: 0;
    }

    .footer-link:hover::after {
        transform: translateY(-100%);
        opacity: 1;
    }

.footer-social img {
    width: 2rem;
    height: 2rem;
    margin-left: 3.5rem;
}


/*// Laptops large devices (desktops, 1600px and up)*/
@media (min-width: 1600px) and (max-width: 1699.98px) {
}
/*// Laptops large devices (desktops, 1400px and up)*/
@media (min-width: 1400px) and (max-width: 1599.98px) {

}
/*// Laptops small devices (desktops, 1200px and up)*/
@media (min-width: 1200px) and (max-width: 1399.98px) {
}

/*// Extra large devices (large desktops, 1200px and up)*/
@media (min-width: 1200px) {
}

/*// Large devices (desktops, 992px and up)*/
@media (min-width: 992px) and (max-width: 1199.98px) {
    a.nav-link {
        font-size: 3rem;
    }

    .footer-menu {
        margin-top: -3%;
    }

    .footer {
        background-size: 600px 520px;
    }

    .footer-social {
        padding-top: 4rem;
    }

    a.footer-link
    {
        font-size: 1rem;
    }

        .footer-social img {
            margin-left: 1.5rem;
        }
    }

/*// Medium devices (tablets, 768px and up)*/
@media (min-width: 768px) and (max-width: 991.98px) {

    .footer {
        background-size: 580px 550px;
    }

    a.nav-link {
        font-size: 3rem;
    }

    .footer-nav {
        margin-top: 0;
        padding-left: 1rem;
    }

    .footer-social {
        padding-top: 3rem;
        margin-right: 28rem;
    }

    a.footer-link {
        font-size: 16px;
    }

    .footer-social img {
        display: none;
    }

    .dropdown-menu {
        padding: 1rem 2rem;
    }

    .dropdown-menu li {
        line-height: 1.5;
        font-size: 0.8rem;
    }
}

/*/ / Small devices (landscape phones, 576px and up)*/ 
@media (min-width: 576px) and (max-width: 767.98px) {
    .footer {
        min-height: 68vh;
        background-size: 550px 450px;
        background-position: top right;
        padding-top: 0;
    }

    .footer-menu {
        margin-top: 20%;
    }


    a.nav-link {
        font-size: 40px;
        margin-left: -40px;
    }

    .footer-social {
        padding-top: 10rem;
        padding-right: 0;
        margin-left: 200px;
        gap: 0;
    }

    a.footer-link {
        font-size: 10px !important;
        margin-bottom: 5px;
    }

    .footer-social img {
        width: 1.5rem;
        height: 1.5rem;
    }

    .dropdown-menu {
        padding: 0.2rem;
        min-width: 250px;
        margin-top: -80px !important;
        margin-left: -30px !important;
    }

        .dropdown-menu li {
            font-size: 0.8rem;
            line-height: 1;
        }
}

/*// Extra small devices (portrait phones, less than 576px)*/
@media (max-width: 575.98px) {
    .footer {
        min-height: 40vh;
        background-size: 300px 320px;
        background-position: top right;
        padding-top: 25px;
    }

    a.nav-link {
        font-size: 25px;
        margin-left: -40px;
    }

    .footer-social {
        padding-top: 4rem;
        padding-right: 0;
        margin-left: 2rem;
        gap: 0;
    }

    a.footer-link {
        font-size: 10px !important;
        margin-bottom: 5px;
    }

    .footer-social img {
        width: 1.5rem;
        height: 1.5rem;
    }

    .dropdown-menu {
        padding: 0.2rem;
        min-width: 250px;
        margin-top: -80px !important;
        margin-left: -100px !important;
    }

        .dropdown-menu li {
            font-size: 0.8rem;
            line-height: 1;
        }
}